import typescript from "rollup-plugin-typescript2";
import resolve from "rollup-plugin-node-resolve";
import commonjs from "rollup-plugin-commonjs";
import packagejson from "./package.json";

export default {
  input: "./src/index.ts",
  plugins: [resolve(), commonjs(), typescript(/*{ plugin options }*/)],
  output: {
    intro: `
/*
    Finicky Config API ${packagejson.version}
    This file is automatically generated. Please refer to the \`config-api\` folder to build a new one.
*/`,
    file: "dist/finickyConfigAPI.js",
    format: "iife",
    name: "finickyConfigApi",
    noInterop: true
  }
};
